com.amazon.redshift

## Interface RedshiftNotification

All Known Implementing Classes:
  Notification

    public interface RedshiftNotification

This interface defines the public Redshift extension for Notifications.

### Method Summary

All Methods Instance Methods Abstract Methods
`String` `getName()` Returns name of this notification.
`String` `getParameter()` Returns additional information from the notifying process.
`int` `getPID()` Returns the process id of the backend process making this notification.

### Method Detail

#### getName

    String getName()

Returns name of this notification.

Returns:
  name of this notification
Since:
  7.3

#### getPID

    int getPID()

Returns the process id of the backend process making this notification.

Returns:
  process id of the backend process making this notification
Since:
  7.3

#### getParameter

    String getParameter()

Returns additional information from the notifying process. This feature has only been implemented in server versions 9.0 and later, so previous versions will always return an empty String.

Returns:
  additional information from the notifying process
Since:
  8.0